# perf.h File Reference

`#include <ubixos/times.h>`

Go to the source code of this file.

## Defines

#define | PERF_START
#define | PERF_STOP(x)

## Functions

void | perf_print (unsigned long c1l, unsigned long c1h, unsigned long c2l, unsigned long c2h, char *key)
void | perf_print_times (struct tms *start, struct tms *end, char *key)
void | perf_init (char *fname)

## Define Documentation

#define PERF_START

#define PERF_STOP | ( | x |  | ) |

## Function Documentation

void perf_init | ( | char * | fname | ) |

void perf_print | ( | unsigned long | c1l,
|  | unsigned long | c1h,
|  | unsigned long | c2l,
|  | unsigned long | c2h,
|  | char * | key
| ) |

void perf_print_times | ( | struct tms * | start,
|  | struct tms * | end,
|  | char * | key
| ) |